summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-01-12 07:13:14 -0800
committerZac Medico <zmedico@gentoo.org>2011-01-12 07:41:21 -0800
commitb11850f58b39e05b51c903aa6d5738a70b952a84 (patch)
tree03d5e2fd4bd051ccf559139328d24f69c73d3ab6 /bin
parent93885d4b116a1f3e285263ba3c0a621568257f07 (diff)
downloadportage-b11850f58b39e05b51c903aa6d5738a70b952a84.tar.gz
portage-b11850f58b39e05b51c903aa6d5738a70b952a84.tar.bz2
portage-b11850f58b39e05b51c903aa6d5738a70b952a84.zip
econf: check confgure --help for --disable-dep...
This is the new behavior, for bug #211529.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 7c14068c2..a8ed74591 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -511,7 +511,9 @@ econf() {
fi
# EAPI=4 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
+ if ! hasq "$EAPI" 0 1 2 3 3_pre2 && \
+ "${ECONF_SOURCE}/configure" --help 2>/dev/null | \
+ grep -q disable-dependency-tracking ; then
set -- --disable-dependency-tracking "$@"
fi